Can't update from 0.57.2

I have tried to update my RPi hass.io install for the past few days. When trying to update from 0.57.2 to 0.57.3 I got an “unknown error” and after that every attempt to update fails, also from terminal which shows:

core-ssh:~# hassio homeassistant update
Error on homeassistant/update: 
core-ssh:~# 

Now, after 0.58 has been released, I still only see that 0.57.3 is the available update and attempting this update continues to fail. I have restarted both hass.io and my RPi, but nothing helps. The system works fine, but just won’t update. I was hoping to not have to reinstall hass.io from scratch. What should I do?

There is no update available for hass.io yet…

From the release notes:

The Hass.io release will be delayed by a couple of days because Pascal is moving this weekend.

Ah, thanks @dnuc for pointing that out. Hopefully the update issue will be resolved when the hass.io 0.58 is released then.

I wish i read this post 2 days ago, I’ve been frantically checking for upgrades every 30 minutes or so. Best of luck to Pascal, moving is the worst.

I think the update will show up in https://hub.docker.com/r/homeassistant/raspberrypi3-homeassistant/tags/ when it’s finally been cut.

I also can’t update from 0.57.2 to 0.57.3 with hassio. This isn’t the first time that I’ve been unable to update. Previously I needed to reflash hassio and then copy over my configuration to get the latest version. There’s clearly something going on, but the log files don’t give any clue. Is there anyone who might suggest some steps to try to figure this out?

I’m still not able to update even https://hub.docker.com/r/homeassistant/raspberrypi3-homeassistant/tags/ states that 58.1 is out.

Does anyone else experience the same problem?

core-ssh:~# hassio homeassistant update
Error on homeassistant/update: Version 0.57.3 is already in use
core-ssh:~#

ok it’s been a very long time but I am getting this issue now, updating from the (now ridiculously old) v 0.57.2